import { http } from "@/utils/http";

/** 投资人列表 */
export const getInvestorList = (params?: object) => {
  return http.request<any>("get", "/investorInfo/list", { params });
};

/** 投资人详情 */
export const getInvestorDetail = (id: number) => {
  return http.request<any>("get", `/investorInfo/${id}`);
};

/** 新增投资人 */
export const addInvestor = (data: object) => {
  return http.request<any>("post", "/investorInfo/add", { data });
};

/** 修改投资人 */
export const modifyInvestor = (data: object) => {
  return http.request<any>("post", "/investorInfo/modify", { data });
};

/** 删除投资人 */
export const removeInvestor = (id: number) => {
  return http.request<any>("get", `/investorInfo/delete/${id}`);
};
